package org.edg.wl.dgas.dgassim.workload.rb;

import java.util.ArrayList;
import org.edg.wl.dgas.dgassim.*;
import org.edg.wl.dgas.dgassim.fabric.*;
import org.edg.wl.dgas.dgassim.monitor.*;

public class Matchmaker {

    GIS gis;

    public Matchmaker(GIS gis) {
	this.gis = gis;
    }

    public ArrayList getMatchingCEList(ArrayList ces, Job job) {
	ArrayList matchingCEs = new ArrayList();

	ComputingElement ce = null;

	for (int i = 0; i < ces.size(); i++) {

	    ce = (ComputingElement)ces.get(i);

	    
	    if (job.matchCE(ce))
		matchingCEs.add(ce); // CE matches job requirements
	}

	return matchingCEs;

    }

}
